Debian Bug report logs - #487190
use mode 600 for /proc/*/maps

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: jidanni@jidanni.org

Date: Fri, 20 Jun 2008 03:09:01 UTC

Severity: wishlist

Tags: upstream, wontfix

Done: Moritz Mühlenhoff <jmm@inutil.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, dickey@his.com, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#487190; Package linux-image-2.6.25-2-686. Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
New Bug report received and forwarded. Copy sent to dickey@his.com, Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: submit@bugs.debian.org
Subject: use mode 600 for /proc/*/maps
Date: Fri, 20 Jun 2008 11:04:36 +0800
X-Debbugs-Cc: dickey@his.com
Package: linux-image-2.6.25-2-686
Version: 2.6.25-5
Severity: wishlist

Why not make /proc/*/maps mode 600?
That way the user will get a clear "permission denied", instead
of zeros from

      find /proc/*/maps ! -user $$USER|xargs wc -l

That way the users would be clear it was a permission problem, not a
lack of data.




Bug reassigned from package `linux-image-2.6.25-2-686' to `linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Sun, 14 Sep 2008 07:33:19 GMT) Full text and rfc822 format available.

Added tag(s) wontfix. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 31 May 2011 05:27:06 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 31 May 2011 05:27:08 GMT) Full text and rfc822 format available.

Reply sent to Moritz Mühlenhoff <jmm@inutil.org>:
You have taken responsibility. (Tue, 25 Jun 2013 18:21:09 GMT) Full text and rfc822 format available.

Notification sent to jidanni@jidanni.org:
Bug acknowledged by developer. (Tue, 25 Jun 2013 18:21:10 GMT) Full text and rfc822 format available.

Message #16 received at 487190-done@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: 566543-done@bugs.debian.org, 582840-done@bugs.debian.org, 633961-done@bugs.debian.org, 572385-done@bugs.debian.org, 607551-done@bugs.debian.org, 520049-done@bugs.debian.org, 487190-done@bugs.debian.org, 618006-done@bugs.debian.org
Subject: Closing
Date: Tue, 25 Jun 2013 20:19:51 +0200
Hi,
your bug has been filed against the "linux-2.6" source package and has
been tagged "wontfix" for some time, we're closing it now.

Cheers,
        Moritz



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 24 Jul 2013 07:36:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 13:06:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.